{%- from "designate/map.jinja" import agent with context %}
{%- if agent.enabled %}

designate_agent_packages:
  pkg.installed:
  - names: {{ agent.pkgs }}

designate_agent_services:
  service.running:
    - enable: true
    - names: {{ agent.services }}
    {%- if grains.get('noservices') %}
    - onlyif: /bin/false
    {%- endif %}
    - watch:
      - file: /etc/designate/designate.conf
{%- endif %}
